Loading...
Searching...
No Matches
conrec::ConrecSegment Struct Reference

`#include <Conrec.h>`

## Public Member Functions

| ConrecSegment (double x1, double y1, double x2, double y2, double isoVal)
| ConrecSegment (const RDGeom::Point2D &p1, const RDGeom::Point2D &p2, double isoVal)

## Public Attributes

RDGeom::Point2D | p1
RDGeom::Point2D | p2
double | isoVal

## Detailed Description

Definition at line 22 of file Conrec.h.

## Constructor & Destructor Documentation

## ConrecSegment() [1/2]

conrec::ConrecSegment::ConrecSegment | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2,
|  | double | isoVal )

inline

Definition at line 26 of file Conrec.h.

References isoVal, p1, and p2.

## ConrecSegment() [2/2]

conrec::ConrecSegment::ConrecSegment | ( | const RDGeom::Point2D & | p1,
|  | const RDGeom::Point2D & | p2,
|  | double | isoVal )

inline

Definition at line 28 of file Conrec.h.

References isoVal, p1, and p2.

## Member Data Documentation

## isoVal

double conrec::ConrecSegment::isoVal

Definition at line 25 of file Conrec.h.

Referenced by ConrecSegment(), and ConrecSegment().

## p1

RDGeom::Point2D conrec::ConrecSegment::p1

Definition at line 23 of file Conrec.h.

Referenced by ConrecSegment(), and ConrecSegment().

## p2

RDGeom::Point2D conrec::ConrecSegment::p2

Definition at line 24 of file Conrec.h.

Referenced by ConrecSegment(), and ConrecSegment().

The documentation for this struct was generated from the following file:

- Conrec.h